### Method

# AppStreamCompose Canvas save_png

#### Declaration [src]

    gboolean
    asc_canvas_save_png (
      AscCanvas* canvas,
      const gchar* fname,
      GError** error
    )

#### Description [src]

Save canvas to PNG file.

#### Parameters

`fname`

  Type: `const gchar*`

  Filename to save to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.